Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Class LDAPApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.common.ApplicationException
                  com.stc.connector.appconn.ldap.LDAPApplicationException

All Implemented Interfaces:
  java.io.Serializable

    public class LDAPApplicationException

extends com.stc.connector.appconn.common.ApplicationException

Exception class for LDAP application. Used for wrapping application level exceptions and throwing them back to the client.

Version:
Author:
See Also:
  Serialized Form

Constructor Summary
`LDAPApplicationException()` Creates a new instance of `LDAPApplicationException` without detail message.
`LDAPApplicationException(java.lang.String msg)` Constructs an instance of `LDAPApplicationException` with the specified detail message.
`LDAPApplicationException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `LDAPApplicationException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LDAPApplicationException

    public LDAPApplicationException()

  Creates a new instance of `LDAPApplicationException` without detail message.

### LDAPApplicationException

    public LDAPApplicationException(java.lang.String msg)

  Constructs an instance of `LDAPApplicationException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### LDAPApplicationException

    public LDAPApplicationException(java.lang.String msg,
                                    java.lang.Throwable cause)

  Constructs an instance of `LDAPApplicationException` with the specified detail message.

  Parameters:
    `msg` -
    `cause` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD